package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Testing.DeleteTestingPackages;
import _VisualDVM.TestingSystem.SAPFOR.SapforPackage.SapforPackage;
import _VisualDVM.Visual.UI;

import java.io.File;
public class DeleteSapforPackage extends DeleteTestingPackages<SapforPackage> {
    public DeleteSapforPackage() {
        super(SapforPackage.class);
    }
    protected void showPreparation() throws Exception {
        super.showPreparation();
        UI.getMainWindow().getTestingWindow().DropSapforComparison();
    }
    @Override
    protected File getPackagesHome() {
        return Global.SapforPackagesDirectory;
    }
}
